Bug 34758 - All Dell Systems i810 audio and qa0401
All Dell Systems i810 audio and qa0401
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-04 16:25 EDT by Rogelio Noriega
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-05 14:47:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rogelio Noriega 2001-04-04 16:25:56 EDT
All Dell systems with i810 chipset, after rebooting system, audio cd in 
gnome will not play sound. until the mixer is opened   see below lsmod 
before and after.Module               

(lsmod before)
Size  Used by
ide-cd                 26880   0  (autoclean)
cdrom                  27392   0  (autoclean) [ide-cd]
NVdriver              621200  12  (autoclean)
autofs                 11792   1  (autoclean)
3c59x                  26048   0  (autoclean) (unused)
ipchains               41632   0  (unused)
usb-uhci               21888   0  (unused)
usbcore                52352   1  [usb-uhci]


(lsmod after opening mixer)
Module                  Size  Used by
i810_audio             15632   0  (autoclean)
ac97_codec              8832   0  (autoclean) [i810_audio]
soundcore               4816   2  (autoclean) [i810_audio]
ide-cd                 26880   0  (autoclean)
cdrom                  27392   0  (autoclean) [ide-cd]
NVdriver              621200  12  (autoclean)
autofs                 11792   1  (autoclean)
3c59x                  26048   0  (autoclean) (unused)
ipchains               41632   0  (unused)
usb-uhci               21888   0  (unused)
usbcore                52352   1  [usb-uhci]
Comment 1 Crutcher Dunnavant 2001-04-04 17:01:22 EDT
this is not an aumix bug.
Comment 2 Bill Nottingham 2001-04-05 14:47:19 EDT
or a kernel bug. In fact, it's not really a bug.

The module is not loaded, so mixer settings are not initialized.

A gross hack was added to control-center-1.2.2-8 so that the module
gets loaded when gnome starts, but it's certainly not the best solution.

Note You need to log in before you can comment on or make changes to this bug.